Subject: [bug#57858] [PATCH] gnu: git-annex: Promote git to propagated input

From: Konrad Hinsen <[email-masked]>
Date: Sat, 17 Sep 2022 11:56:23 +0200

Maxime Devos <[email-masked]> writes:

> What's the reason for this patch?  My guess is that it's because 
> git-annex cannot find git:

That was indeed the starting point. But...

> If so, propagation (which as a few small downsides) can be avoided with 
> an appropriate substitute* fixing the file name of the git binary.

... I tried that and still got error messages whose exact cause I don't
quite understand.

What made me opt for git as a propagated input is that (1) it works just
fine and (2) there isn't much you can do with git-annex without having
git as well. git is even the official user interface of git-annex.

Cheers,
  Konrad